//---------------------------------------------------------------------------
#include <vcl\vcl.h>
#include <filectrl.hpp>
#pragma hdrstop

#include "fileman.h"
#include "PgpFiles.h"
#include "mixmaster.h"
#include "Global.h"
//---------------------------------------------------------------------------
AnsiString __fastcall PgpDir()
{
   AnsiString path = ExtractFilePath(GetAppIni(PgpPubRing,""));
   if (!path.IsEmpty() && DirectoryExists(path)) return path;

   path=getenv("PGPPATH");
   if (path.IsEmpty()) path = GetCurrentDir();
   if (path.Length() && path[path.Length()]!='\\') path += "\\";
   return path;
}
//---------------------------------------------------------------------------
AnsiString __fastcall PgpPublicRing()
{
   AnsiString name = GetAppIni(PgpPubRing,"");
   if (!name.IsEmpty() && FileExists(name)) return name;

   name=PgpDir()+"pubring.pgp";
   if (!FileExists(name)) name = PgpDir()+"pubring.pubkr";
   if (!FileExists(name)) name = PgpDir()+"pubring.pkr";
   if (!FileExists(name)) name = "";
   return name;
}
//---------------------------------------------------------------------------
AnsiString __fastcall PgpSecretRing()
{
   AnsiString name = GetAppIni(PgpSecRing,"");
   if (!name.IsEmpty() && FileExists(name)) return name;
   name=PgpDir()+"secring.pgp";
   if (!FileExists(name)) name = PgpDir()+"secring.skr";
   if (!FileExists(name)) name = "";
   return name;
}
//---------------------------------------------------------------------------
AnsiString __fastcall PgpRemailRing()
{
   AnsiString remring=MixDir()+CRingTxt;
   if (!FileExists(remring)) remring = "";
   return remring;
}
//---------------------------------------------------------------------------
AnsiString __fastcall PgpImportRing()
{
   AnsiString name = GetAppIni(PgpImpRing,"");
   return name;
}
//---------------------------------------------------------------------------
