# ---------------------------------------------------------------------------
VERSION = BCB.01
# ---------------------------------------------------------------------------
!ifndef BCB
BCB = $(MAKEDIR)\..
!endif
# ---------------------------------------------------------------------------
PROJECT = QS.exe
OBJFILES = QS.obj MainMDI.obj TextWins.obj NoteWins.obj FileWin.obj RptWin.obj \
   MsgWins.obj MsgInWin.obj PGPpassEx.obj PackDlg.obj PrintDlg.obj SmtpDlgs.obj \
   AddressDlgs.obj QueueDlg.obj OldOpenDlg.obj AboutDlgs.obj SaveDlg.obj \
   GetStrtDlg.obj WaitDlg.obj DelGrpsDlg.obj ClipReply.obj DirBrow.obj \
   HttpDlg.obj UrlsDlg.obj NewNameDlgs.obj MailboxWins.obj MixmastDlg.obj \
   MixInstDlg.obj UPDUnzipDlg.obj UPDateDlg.obj UPDedDlg.obj UPDFtpDlg.obj \
   Wiper.obj OpenDlgs.obj MailboxDlgs.obj AddrEditDlgs.obj PreferDlg.obj \
   HelpDlgs.obj ImportDlg.obj DocMsgDlg.obj DelDocsDlg.obj View.obj UseLibDlg.obj \
   PickBoxDlgs.obj Mixmaster.obj FileMan.obj Fmxutils.obj MimeMan.obj Version.obj \
   Global.obj HeadMan.obj Console.obj pop3mail.obj MixMsg.obj pgpmail.obj \
   PgpFiles.obj Cyberpunk.obj AsciiDb.obj
RESFILES = QS.res
RESDEPEN = $(RESFILES) MainMDI.dfm TextWins.dfm NoteWins.dfm FileWin.dfm \
   RptWin.dfm MsgWins.dfm MsgInWin.dfm PGPpassEx.dfm PackDlg.dfm PrintDlg.dfm \
   SmtpDlgs.dfm AddressDlgs.dfm QueueDlg.dfm OldOpenDlg.dfm AboutDlgs.dfm \
   SaveDlg.dfm GetStrtDlg.dfm WaitDlg.dfm DelGrpsDlg.dfm ClipReply.dfm \
   DirBrow.dfm HttpDlg.dfm UrlsDlg.dfm NewNameDlgs.dfm MailboxWins.dfm \
   MixmastDlg.dfm MixInstDlg.dfm UPDUnzipDlg.dfm UPDateDlg.dfm UPDedDlg.dfm \
   UPDFtpDlg.dfm Wiper.dfm OpenDlgs.dfm MailboxDlgs.dfm AddrEditDlgs.dfm \
   PreferDlg.dfm HelpDlgs.dfm ImportDlg.dfm DocMsgDlg.dfm DelDocsDlg.dfm View.dfm \
   UseLibDlg.dfm PickBoxDlgs.dfm
LIBFILES = zlib.LIB
DEFFILE =
# ---------------------------------------------------------------------------
CFLAG1 = -Od -Hc -w -k -r- -y -v -vi- -c -a4 -b- -w-par -w-inl -Vx -Ve -x
CFLAG2 = -I$(BCB)\lib\misc;.;$(BCB)\lib\ics\delphi\vc32;$(BCB)\include;$(BCB)\include\vcl;$(BCB)\lib\listbox \
   -H=$(BCB)\lib\vcld.csm 
PFLAGS = -AWinTypes=Windows;WinProcs=Windows;DbiTypes=BDE;DbiProcs=BDE;DbiErrs=BDE \
   -U$(BCB)\lib\misc;.;$(BCB)\lib\ics\delphi\vc32;$(BCB)\lib\obj;$(BCB)\lib;$(BCB)\lib\listbox \
   -I$(BCB)\lib\misc;.;$(BCB)\lib\ics\delphi\vc32;$(BCB)\include;$(BCB)\include\vcl;$(BCB)\lib\listbox \
   -W -v -$Y -$W -$O- -JPHNV -M
RFLAGS = -i$(BCB)\lib\misc;.;$(BCB)\lib\ics\delphi\vc32;$(BCB)\include;$(BCB)\include\vcl;$(BCB)\lib\listbox 
LFLAGS = -L$(BCB)\lib\misc;.;$(BCB)\lib\ics\delphi\vc32;$(BCB)\lib\obj;$(BCB)\lib;$(BCB)\lib\listbox \
   -aa -Tpe -x -v -V4.0
IFLAGS =
LINKER = ilink32
# ---------------------------------------------------------------------------
ALLOBJ = c0w32.obj $(OBJFILES)
ALLRES = $(RESFILES)
ALLLIB = $(LIBFILES) vcl.lib import32.lib cp32mt.lib
# ---------------------------------------------------------------------------
.autodepend

$(PROJECT): $(OBJFILES) $(RESDEPEN) $(DEFFILE)
    $(BCB)\BIN\$(LINKER) @&&!
    $(LFLAGS) +
    $(ALLOBJ), +
    $(PROJECT),, +
    $(ALLLIB), +
    $(DEFFILE), +
    $(ALLRES)
!

.pas.hpp:
    $(BCB)\BIN\dcc32 $(PFLAGS) { $** }

.pas.obj:
    $(BCB)\BIN\dcc32 $(PFLAGS) { $** }

.cpp.obj:
    $(BCB)\BIN\bcc32 $(CFLAG1) $(CFLAG2) -o$* $*

.c.obj:
    $(BCB)\BIN\bcc32 $(CFLAG1) $(CFLAG2) -o$* $**

.rc.res:
    $(BCB)\BIN\brcc32 $(RFLAGS) $<
#-----------------------------------------------------------------------------

